MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027206Open CASCADE[OCCT] OCCT:Documentationpublic2016-02-26 13:272016-04-20 15:49
Reportersan 
Assigned Toabv 
PriorityurgentSeveritytext 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.0.0 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0027206: Inconsistent and obsolete information in persistence documentation and Release Notes
DescriptionThis issue resulted from the fact that OCCT users continue to use obsolete persistence packages (like MgtBRep) and they find misleading information regarding this even in the current working version of OCCT documentation.


  1. User Guides / OCAF / Persistent Data Storage section: the whole section should be revised taking into account removal of old persistence functionality, http://dev.opencascade.org/doc/overview/html/occt_user_guides__ocaf.html#occt_ocaf_9a_5 [^] and http://dev.opencascade.org/doc/overview/html/occt_user_guides__ocaf.html#occt_ocaf_9a_6 [^] paragraphs (and some others?) most likely to be removed completely

  2. Developer Guides / Upgrade from older OCCT versions / Upgrade to OCCT 7.0.0 / Removal of legacy persistence: mention TKPShape toolkit and maybe other toolkits that were also removed in the frames of issue 0024927

  3. OCCT 7.0 Release Notes, page 44 "Removal of legacy persistence": mention TKPShape toolkit and maybe other toolkits that were also removed in the frames of issue 0024927

Steps To ReproduceN/A
TagsNo tags attached.
Test case number
Attached Files

- Relationships
related to 0024927closedbugmaster Getting rid of old "Persistent" functionality 

-  Notes
(0051406)
abv (manager)
2016-03-04 15:23

Corrections are included in branch CR0-IR-2016-03-03-abv, please review
(0051418)
ysn (developer)
2016-03-04 17:53

There are some remarks about text formatting (for example, single dashes in Foundation Classes UG).
Also in some occurences .cdl files are still mentioned as actually existing.

Is it OK to open a branch for this issue and suggest corrections?
(0051419)
abv (manager)
2016-03-04 18:02

Please create a separate issue for corrections

- Related Changesets
occt: master d3013f55
Timestamp: 2016-03-04 11:42:53
Author: abv
Committer: abv
Details ] Diff ]
0027206: Inconsistent and obsolete information in persistence documentation and Release Notes

Technical docs are reviewed to:
* update references to page with third-party products
* update description of persistence, handles, and RTTI according to changes in OCCT 7.0
* remove references to CDL, WOK, and WOK-generated stuff
* update the list of environment variables
mod - dox/dev_guides/building/3rdparty/3rdparty_linux.md Diff ] File ]
mod - dox/dev_guides/building/3rdparty/3rdparty_osx.md Diff ] File ]
mod - dox/dev_guides/building/3rdparty/3rdparty_windows.md Diff ] File ]
mod - dox/dev_guides/contribution/coding_rules.md Diff ] File ]
mod - dox/dev_guides/git_guide/git_guide.md Diff ] File ]
mod - dox/dev_guides/tests/tests.md Diff ] File ]
mod - dox/dev_guides/upgrade/upgrade.md Diff ] File ]
mod - dox/overview/overview.md Diff ] File ]
mod - dox/user_guides/foundation_classes/foundation_classes.md Diff ] File ]
mod - dox/user_guides/modeling_data/modeling_data.md Diff ] File ]
mod - dox/user_guides/ocaf/ocaf.md Diff ] File ]
mod - dox/user_guides/shape_healing/shape_healing.md Diff ] File ]
mod - dox/user_guides/step/step.md Diff ] File ]
mod - dox/user_guides/tobj/tobj.md Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-02-26 13:27 san New Issue
2016-02-26 13:27 san Assigned To => ysn
2016-02-26 13:29 san Description Updated View Revisions
2016-02-26 13:31 san Priority normal => urgent
2016-02-26 13:36 abv Assigned To ysn => abv
2016-02-26 15:13 san Relationship added related to 0024927
2016-02-26 15:16 san Description Updated View Revisions
2016-03-04 15:23 abv Note Added: 0051406
2016-03-04 15:23 abv Assigned To abv => ysn
2016-03-04 15:23 abv Status new => resolved
2016-03-04 15:23 abv Steps to Reproduce Updated View Revisions
2016-03-04 16:52 abv Changeset attached => occt master d3013f55
2016-03-04 16:52 abv Assigned To ysn => abv
2016-03-04 16:52 abv Status resolved => verified
2016-03-04 16:52 abv Resolution open => fixed
2016-03-04 17:53 ysn Note Added: 0051418
2016-03-04 18:02 abv Note Added: 0051419
2016-04-20 15:43 aiv Fixed in Version => 7.0.0
2016-04-20 15:49 aiv Status verified => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker